from buildbot.plugins import steps, util

factory = util.BuildFactory()
factory.addStep(steps.Git(repourl='https://git.blackfinn.de/adc_gpio_i2c/gpio_ftdi.git', mode='full'))
factory.addStep(steps.ShellCommand(command=['make', 'check', '-j8']))
factory.addStep(steps.Compile(command=['make', 'all', '-j8']))
factory.addStep(steps.ShellCommand(command=['make', 'build_unit_test', '-j8']))
factory.addStep(steps.ShellCommand(command=['make', 'exec_unit_test']))
factory.addStep(steps.ShellCommand(command='make clean && make coverage'))


builder = util.BuilderConfig(name='gpio_ftdi', workernames=["buildbot-cpp-worker"],
                             factory=factory)

def append(builders):
    builders.append(builder)
    return builders

